Closed Bug 648715 Opened 9 years ago Closed 8 years ago

Version/Channel compatibility for Firefox 5 beta

Categories

(Mozilla Labs Graveyard :: Test Pilot, defect, P1, blocker)

x86
macOS
defect

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: jono, Unassigned)

Details

(Whiteboard: needs-integration)

Attachments

(1 file)

Test Pilot needs: 

 - a version marked as compatible up to Firefox 5.0
 - to show the Feedback interface on Aurora as well as Beta channel.  (Does app.update.channel == "aurora" if you're on the Aurora channel?)
This patch sets the max compatible version to 5.0 and makes the "Feedback" button interface be shown if the channel is "beta" or "aurora".

It also sets the bundled Feedback extension version to 1.0.9, aka "not quite 1.1" because it is slightly different code from the Test Pilot 1.1 version on AMO (which has max compatible version of 4.0.*, so it will not run on the Firefox 5+ betas/aurora versions)
Attachment #524912 - Flags: review?
Attachment #524912 - Flags: review? → review?(mark.finkle)
Severity: normal → blocker
Priority: -- → P1
Whiteboard: needs-integration
Target Milestone: --- → 1.1
Attachment #524912 - Flags: review?(mark.finkle) → review+
Status: NEW → RESOLVED
Closed: 8 years ago
Resolution: --- → FIXED
Product: Mozilla Labs → Mozilla Labs Graveyard
You need to log in before you can comment on or make changes to this bug.